javax.swing.plaf.metal

## Class MetalComboBoxIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalComboBoxIcon

All Implemented Interfaces:
  Serializable, Icon

    public class MetalComboBoxIcon
    extends Object
    implements Icon, Serializable

This utility class draws the horizontal bars which indicate a MetalComboBox

See Also:
  `MetalComboBoxUI`

### Constructor Summary

Constructors
Constructor and Description
`MetalComboBoxIcon()`

### Method Summary

Methods
`int` `getIconHeight()` Created a stub to satisfy the interface.
`int` `getIconWidth()` Created a stub to satisfy the interface.
`void` `paintIcon(Component c, Graphics g, int x, int y)` Paints the horizontal bars for the

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalComboBoxIcon

    public MetalComboBoxIcon()

### Method Detail

#### paintIcon

    public void paintIcon(Component c,
                 Graphics g,
                 int x,
                 int y)

Paints the horizontal bars for the

Specified by:
  `paintIcon` in interface `Icon`

#### getIconWidth

    public int getIconWidth()

Created a stub to satisfy the interface.

Specified by:
  `getIconWidth` in interface `Icon`
Returns:
  an int specifying the fixed width of the icon.

#### getIconHeight

    public int getIconHeight()

Created a stub to satisfy the interface.

Specified by:
  `getIconHeight` in interface `Icon`
Returns:
  an int specifying the fixed height of the icon.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.